> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/basketball-media/stream-endpoints-websocket/live-actions/response-model/fixture-action-object.md).

# Fixture Action Object

<table><thead><tr><th width="207">Field Name</th><th width="108">Type</th><th width="164">Example</th><th>Description</th></tr></thead><tbody><tr><td>period</td><td>integer</td><td>1</td><td>The period Id</td></tr><tr><td>actionId</td><td>UUID</td><td>6ee3f4f6-e85c-448a-a13a-f5b85979337f</td><td>The id number of the action. This will be useful in linking actions that are pending, updated etc.</td></tr><tr><td>sendType</td><td>string</td><td>Confirmed</td><td><p>the send type name<br>1- Pending (possible action packet)<br>2- Updated (updates info on confirmed packets)<br>3- Cancelled (invalidates pending packet)<br>4-Deleted (deletes confirmed packets)<br>5-Confirmed (confirmed packet and can be added)<br>6-Restored (restored to previous state prior to deletion).<br></p><p>Note that Pending actions can be cancelled. Confirmed actions can be deleted and typically all key actions (card, goal, penalty) start with a pending state</p></td></tr><tr><td>clockTime</td><td>time</td><td>10:00</td><td>The value on the clock when the action was collected</td></tr><tr><td>fixtureId</td><td>UUID</td><td>2104e2e1-3439-4684-a146-28df3f89bda2</td><td>The unique fixture UUID</td></tr><tr><td>timestamp</td><td>date / time</td><td>2022-09-25T14:20:57.092100Z</td><td>The timestamp of the action delivered as yyyy-mm-ddThh:mm:ss.xxxxxxZ</td></tr><tr><td>sendTypeId</td><td>integer</td><td>5</td><td>the send type Id (as above)</td></tr><tr><td>fixtureSeqNum</td><td>integer</td><td>11</td><td>A deduplicated list of scorer sequence numbers based on the action creation time across all devices and all scorers.</td></tr><tr><td>timelineSequence</td><td>long</td><td>1.000000000000001</td><td></td></tr><tr><td>fixtureActionType</td><td>string</td><td>Start Fixture</td><td>The action type name (i.e. goal, shot etc) Full list of actions can be found above in Action Type &#x26; Sub Action Types section</td></tr><tr><td>fixtureActionTypeId</td><td>integer</td><td>4</td><td>The action type Id related to the fixtureActionType. Full list of actions can be found above in Action Type &#x26; Sub Action Types section</td></tr></tbody></table>

```json
"fixtureAction": {
            "period": 1,
            "actionId": "6ee3f4f6-e85c-448a-a13a-f5b85979337f",
            "sendType": "Confirmed",
            "clockTime": "10:00",
            "fixtureId": "2104e2e1-3439-4684-a146-28df3f89bda2",
            "timestamp": "2022-09-25T14:20:57.092100Z",
            "sendTypeId": 5,
            "fixtureSeqNum": 11,
            "timelineSequence": 1.000000000000001,
            "fixtureActionType": "Start Fixture",
            "fixtureActionTypeId": 4
        }
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/basketball-media/stream-endpoints-websocket/live-actions/response-model/fixture-action-object.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
